<!-- markdownlint-disable -->

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/tensor.py#L0"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

# <kbd>module</kbd> `concrete.fhe.values.tensor`
Declaration of `ClearTensor` and `EncryptedTensor` wrappers. 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/tensor.py#L11"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `clear_tensor_builder`

```python
clear_tensor_builder(
    dtype: BaseDataType,
    shape: Tuple[int, ]
) → ValueDescription
```

Build a clear tensor value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 

 shape (Tuple[int, ...]):  shape of the value 



**Returns:**
  ValueDescription:  clear tensor value description with given dtype and shape 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/tensor.py#L11"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `clear_tensor_builder`

```python
clear_tensor_builder(
    dtype: BaseDataType,
    shape: Tuple[int, ]
) → ValueDescription
```

Build a clear tensor value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 

 shape (Tuple[int, ...]):  shape of the value 



**Returns:**
  ValueDescription:  clear tensor value description with given dtype and shape 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/tensor.py#L33"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `encrypted_tensor_builder`

```python
encrypted_tensor_builder(
    dtype: BaseDataType,
    shape: Tuple[int, ]
) → ValueDescription
```

Build an encrypted tensor value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 

 shape (Tuple[int, ...]):  shape of the value 



**Returns:**
  ValueDescription:  encrypted tensor value description with given dtype and shape 


---

<a href="../../../compilers/concrete-compiler/compiler/lib/Bindings/Python/concrete/fhe/values/tensor.py#L33"><img align="right" style="float:right;" src="https://img.shields.io/badge/-source-cccccc?style=flat-square"></a>

## <kbd>function</kbd> `encrypted_tensor_builder`

```python
encrypted_tensor_builder(
    dtype: BaseDataType,
    shape: Tuple[int, ]
) → ValueDescription
```

Build an encrypted tensor value. 



**Args:**
  dtype (BaseDataType):  dtype of the value 

 shape (Tuple[int, ...]):  shape of the value 



**Returns:**
  ValueDescription:  encrypted tensor value description with given dtype and shape 


